Commit c5f299ac authored by Kurt Zeilenga's avatar Kurt Zeilenga
Browse files

Update based upon latest errors.

parent b0290c2d
...@@ -8,25 +8,25 @@ Solaris 2.6, pthread_create() in -lc ...@@ -8,25 +8,25 @@ Solaris 2.6, pthread_create() in -lc
The Standard C library (-lc) contains pthread functions which The Standard C library (-lc) contains pthread functions which
are not compatible with <pthread.h> and are not useable. The are not compatible with <pthread.h> and are not useable. The
autoconf system does not detect this incompatibility nor autoconf system will detect this incompatibility but does not
attempts to resolve it. Consequently, slapd/slurpd will not attempts to resolve it. configure will exit using
work correctly using out-of-the-box settings. Slapd will out-of-the-box settings with the error:
report an error such as: checking if pthread_create() works... no
listener pthread_create failed configure: error: pthread.h and pthread_create are not compatible
To resolve this problem, the installer must specify the To resolve this problem, the installer must specify the
proper Pthreads libraries: proper Pthreads libraries:
LIBS="-lpthread -lposix4" LIBS="-lpthread -lposix4"
./configure ./configure
OR use Solaris (LWP) Threads OR use Solaris (LWP) Threads
./configure --with-threads=lwp ./configure --with-threads=lwp
OR disable threads: OR disable threads:
./configure --without-threads ./configure --without-threads
NDBM on Solaris NDBM on Solaris
Solaris NDBM and OpenLDAP appears to be incompatible. Use Solaris NDBM and OpenLDAP appears to be incompatible. Use
GDBM or Berkeley DB2. Berkeley DB2 or GDBM.
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment